## tightvnc-java 1.2.7

=== Makefile ===
#
# Making the VNC applet.
#

CP = cp
JC = javac
JAR = jar
ARCHIVE = VncViewer.jar
MANIFEST = MANIFEST.MF
PAGES = index.vnc
INSTALL_DIR = /usr/local/vnc/classes

CLASSES = VncViewer.class RfbProto.class AuthPanel.class VncCanvas.class \
	  OptionsFrame.class ClipboardFrame.class ButtonPanel.class \
	  DesCipher.class RecordingFrame.class SessionRecorder.class \
	  SocketFactory.class HTTPConnectSocketFactory.class \
	  HTTPConnectSocket.class ReloginPanel.class

SOURCES = VncViewer.java RfbProto.java AuthPanel.java VncCanvas.java \
	  OptionsFrame.java ClipboardFrame.java ButtonPanel.java \
	  DesCipher.java RecordingFrame.java SessionRecorder.java \
	  SocketFactory.java HTTPConnectSocketFactory.java \
	  HTTPConnectSocket.java ReloginPanel.java

all: $(CLASSES) $(ARCHIVE)

$(CLASSES): $(SOURCES)
	$(JC) -O $(SOURCES)

$(ARCHIVE): $(CLASSES) $(MANIFEST)
	$(JAR) cfm $(ARCHIVE) $(MANIFEST) $(CLASSES)

install: $(CLASSES) $(ARCHIVE)
	$(CP) $(CLASSES) $(ARCHIVE) $(PAGES) $(INSTALL_DIR)

export:: $(CLASSES) $(ARCHIVE) $(PAGES)
	@$(ExportJavaClasses)

clean::
	$(RM) *.class *.jar

## tightvnc-java 1.3.8

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 CP = cp
 JC = javac
+JCFLAGS = -target 1.1
 JAR = jar
 ARCHIVE = VncViewer.jar
 MANIFEST = MANIFEST.MF
@@ -12,20 +13,22 @@
 
 CLASSES = VncViewer.class RfbProto.class AuthPanel.class VncCanvas.class \
 	  OptionsFrame.class ClipboardFrame.class ButtonPanel.class \
-	  DesCipher.class RecordingFrame.class SessionRecorder.class \
+	  DesCipher.class CapabilityInfo.class CapsContainer.class \
+	  RecordingFrame.class SessionRecorder.class AuthUnixLoginPanel.class \
 	  SocketFactory.class HTTPConnectSocketFactory.class \
 	  HTTPConnectSocket.class ReloginPanel.class
 
 SOURCES = VncViewer.java RfbProto.java AuthPanel.java VncCanvas.java \
 	  OptionsFrame.java ClipboardFrame.java ButtonPanel.java \
-	  DesCipher.java RecordingFrame.java SessionRecorder.java \
+	  DesCipher.java CapabilityInfo.java CapsContainer.java \
+	  RecordingFrame.java SessionRecorder.java AuthUnixLoginPanel.java \
 	  SocketFactory.java HTTPConnectSocketFactory.java \
 	  HTTPConnectSocket.java ReloginPanel.java
 
 all: $(CLASSES) $(ARCHIVE)
 
 $(CLASSES): $(SOURCES)
-	$(JC) -O $(SOURCES)
+	$(JC) $(JCFLAGS) -O $(SOURCES)
 
 $(ARCHIVE): $(CLASSES) $(MANIFEST)
 	$(JAR) cfm $(ARCHIVE) $(MANIFEST) $(CLASSES)

## tightvnc-java 1.3.8b

=== Makefile ===
#
# Making the VNC applet.
#

CP = cp
JC= javac
JCFLAGS = -target 1.4 -source 1.4 -classpath /usr/lib/jvm/java-6-sun/jre/lib/plugin.jar
JAR = jar
ARCHIVE = VncViewer.jar
SIGNEDARCHIVE = SignedVncViewer.jar
MANIFEST = MANIFEST.MF
PAGES = index.vnc
INSTALL_DIR = /usr/local/vnc/classes

CLASSES = VncViewer*.class RfbProto.class AuthPanel.class VncCanvas.class \
	  OptionsFrame.class ClipboardFrame.class ButtonPanel.class \
	  DesCipher.class CapabilityInfo.class CapsContainer.class \
	  RecordingFrame.class SessionRecorder.class AuthUnixLoginPanel.class \
	  SocketFactory.class HTTPConnectSocketFactory.class \
	  HTTPConnectSocket.class ReloginPanel.class \
	  ImageLabel.class MultiLabel.class \
	  BrowserCertsDialog.class CertInfo.class ProxyDialog.class \
	  InStream.class MemInStream.class ZlibInStream.class

SSL_CLASSES = SSLSocketToMe*.class TrustDialog.class

# alert_large.gif
ICONS = icons/alert_large.gif

SOURCES = VncViewer.java RfbProto.java AuthPanel.java VncCanvas.java \
	  OptionsFrame.java ClipboardFrame.java ButtonPanel.java \
	  DesCipher.java CapabilityInfo.java CapsContainer.java \
	  RecordingFrame.java SessionRecorder.java AuthUnixLoginPanel.java \
	  SocketFactory.java HTTPConnectSocketFactory.java \
	  HTTPConnectSocket.java ReloginPanel.java \
	  ImageLabel.java MultiLabel.java \
	  SSLSocketToMe.java \
	  InStream.java MemInStream.java ZlibInStream.java

all: icons/alert_large.gif $(ARCHIVE) $(SIGNEDARCHIVE)

icons/alert_large.gif: icons/alert_large.gif.uue
	(cd icons; uudecode alert_large.gif.uue)


# More information about creating signed applets can be found at:
# http://search.thawte.com/thawte/documentDisplay.do?clusterName=DefaultCluster&preview=1&groupId=1&page=null&docType=1006&resultType=5002&docProp=$solution_id&docPropValue=vs9834
# http://java.sun.com/j2se/1.4.2/docs/guide/plugin/developer_guide/rsa_signing.html
#
sign: $(SIGNEDARCHIVE)

$(SIGNEDARCHIVE): $(ARCHIVE)
	cp $(ARCHIVE) $(SIGNEDARCHIVE)
	jarsigner $(SIGNEDARCHIVE) self

$(CLASSES): $(SOURCES)
	$(JC) $(JCFLAGS) -O $(SOURCES)

$(ARCHIVE): $(CLASSES) $(MANIFEST)
	$(JAR) cfm $(ARCHIVE) $(MANIFEST) $(CLASSES) $(SSL_CLASSES) $(ICONS)

install: $(CLASSES) $(ARCHIVE)
	$(CP) $(CLASSES) $(SSL_CLASSES) $(ARCHIVE) $(SIGNEDARCHIVE) $(PAGES) $(INSTALL_DIR)

export:: $(CLASSES) $(ARCHIVE) $(PAGES)
	@$(ExportJavaClasses)

clean::
	$(RM) *.class *.jar icons/alert_large.gif

## tightvnc-java 1.3.10

=== Makefile ===
#
# Making the VNC applet.
#

CP = cp
JC = javac
JCFLAGS = -target 1.1 -source 1.2
JAR = jar
ARCHIVE = VncViewer.jar
MANIFEST = MANIFEST.MF
PAGES = index.vnc
INSTALL_DIR = /usr/local/vnc/classes

CLASSES = VncViewer.class RfbProto.class AuthPanel.class VncCanvas.class \
	  VncCanvas2.class \
	  OptionsFrame.class ClipboardFrame.class ButtonPanel.class \
	  DesCipher.class CapabilityInfo.class CapsContainer.class \
	  RecordingFrame.class SessionRecorder.class \
	  SocketFactory.class HTTPConnectSocketFactory.class \
	  HTTPConnectSocket.class ReloginPanel.class \
	  InStream.class MemInStream.class ZlibInStream.class

SOURCES = VncViewer.java RfbProto.java AuthPanel.java VncCanvas.java \
	  VncCanvas2.java \
	  OptionsFrame.java ClipboardFrame.java ButtonPanel.java \
	  DesCipher.java CapabilityInfo.java CapsContainer.java \
	  RecordingFrame.java SessionRecorder.java \
	  SocketFactory.java HTTPConnectSocketFactory.java \
	  HTTPConnectSocket.java ReloginPanel.java \
	  InStream.java MemInStream.java ZlibInStream.java

all: $(CLASSES) $(ARCHIVE)

$(CLASSES): $(SOURCES)
	$(JC) $(JCFLAGS) -O $(SOURCES)

$(ARCHIVE): $(CLASSES) $(MANIFEST)
	$(JAR) cfm $(ARCHIVE) $(MANIFEST) $(CLASSES)

install: $(CLASSES) $(ARCHIVE)
	$(CP) $(CLASSES) $(ARCHIVE) $(PAGES) $(INSTALL_DIR)

export:: $(CLASSES) $(ARCHIVE) $(PAGES)
	@$(ExportJavaClasses)

clean::
	$(RM) *.class *.jar

=== debian/changelog ===
tightvnc-java (1.3.10-5) unstable; urgency=medium

  * Fix FTBFS, set the java compiler's -target and -source options to the
    lowest values supported by OpenJDK 21 and 22 (Closes: #1052618).
  * Refactor d/jtightvncviewer.sh.
    - Enhance code readability.
    - Eliminate external programs from parameter processing, use only shell
      constructs.
  * Bump years in d/copyright to 2023 where required.
  * Bump Standards-Version to 4.6.2; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 26 Sep 2023 10:22:19 +0200

tightvnc-java (1.3.10-4) unstable; urgency=medium

  * Fix FTBFS, set the java compiler's -target and -source options to the
    lowest values supported by OpenJDK 17 (Closes: #1025507).
  * Fix the way UPSTREAM_VERSION is determined.
  * Add default-jre to Suggests.
  * Augment the Description.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 06 Dec 2022 23:06:00 +0100

tightvnc-java (1.3.10-3) unstable; urgency=medium

  * Bump years in d/copyright to 2022 where required.
  * Bump Standards-Version to 4.6.1; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 26 Oct 2022 15:52:44 +0200

tightvnc-java (1.3.10-2) unstable; urgency=medium

  * Source-only upload without any changes besides this changelog.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 28 Oct 2020 22:23:10 +0100

tightvnc-java (1.3.10-1) unstable; urgency=medium

  * New upstream release (Closes: #533130).
  * New maintainer (Closes: #586415).
  * Add myself as uploader.
  * Fix FTBFS, set the java compiler's -target and -source options to the
    lowest values supported by OpenJDK 11 (Closes: #894789).
  * Update to packaging format "3.0 (quilt)".
    - Add d/source/format.
    - Add d/patches/series.
    - Add d/patches/fix-makefile.patch.
  * Patch the sources to build a named java package (Closes: #968001).
    - Add d/patches/make-it-a-named-package.patch.
    - Update d/jtightvncviewer.sh.
  * Switch to DH compat format and raise level.
    - Replace Build-Depends debhelper (>> 9) by debhelper-compat (= 13)
      in d/control.
    - Remove file d/compat.
  * Introduce watch file.
  * Revise d/rules.
  * Fix d/tightvnc-java.dirs.
  * More updates to d/control.
    - Change Section from contrib/web to web, there are no non-free
      dependencies nowadays.
    - Replace Build-Depends-indep by Build-Depends-Indep.
    - Add missing stanzas Root-Requires-Root, Vcs-Browser, Vcs-Git, Homepage.
  * In maintainer scripts call 'set -e' explicitly to make lintian happy.
  * Drop installation of class files from Makefile.
    - Update d/patches/fix-makefile.patch.
    - Update d/rules.
  * Revise d/copyright to comply with DEP-5.
  * Introduce d/upstream/metadata.
  * Introduce d/source/lintian-overrides.
  * Bump Standards-Version to 4.5.0.
  * Add d/gbp.conf.
  * Add d/salsa-ci.yml.
  * Revise d/jtightvncviewer.sh.
    - Display usage message also with -h or no parameter at all given.
    - Enhance usage message for readability.
    - Fix indentation.
    - Calculate port number using arithmetic expansion instead of bc.
    - Remove recommendation of bc from d/control.
  * Revise the manual page.
    - Drop d/jtightvncviewer.pod.
    - Add d/jtightvncviewer.1.
    - Update d/rules accordingly.
    - Update d/source/lintian-overrides.
  * Add d/NEWS.
  * Introduce autopkgtest per d/tests/*.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 19 Oct 2020 09:35:03 +0200

tightvnc-java (1.2.7-9) unstable; urgency=low

  * Updating to debhelper compatibility 9.
  * Added recommendation of bc to make sure tightvncviewer command will
    work. Closes: #509079.
  * Copyright cleanup. Closes: #507959.
  * Updated to standards version 3.9.6.
  * Simplified rules file.
  * Added misc:Depends to the dependencies.

 -- Ola Lundqvist <opal@debian.org>  Thu, 09 Jun 2016 20:08:00 +0200

tightvnc-java (1.2.7-8) unstable; urgency=low

  * Corrected bashism. Closes: #530206.

 -- Ola Lundqvist <opal@debian.org>  Sun, 27 Sep 2009 14:39:30 +0200

tightvnc-java (1.2.7-7) unstable; urgency=low

  * Remove dependency on jikes and kaffe. Closes: #528066.

 -- Ola Lundqvist <opal@debian.org>  Sun, 27 Sep 2009 14:37:19 +0200

tightvnc-java (1.2.7-6) unstable; urgency=low

  * Recorrection of bashism. Paranthesis was put in wrong direction.
    Closes: #465370.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Jun 2008 08:08:37 +0200

tightvnc-java (1.2.7-5) unstable; urgency=low

  * Applied patch from Chris Lamb <chris@chris-lamb.co.uk> to correct a
    bashism, closes: #465370.
  * Changed so that it actually depends on debhelper.
  * Bumped standards version to 3.7.2.

 -- Ola Lundqvist <opal@debian.org>  Sun, 11 May 2008 14:41:05 +0200

tightvnc-java (1.2.7-4) unstable; urgency=low

  * Updated because of changes in kaffe, closes: #348366.
  * Updated to standards version 3.6.2.
  * Updated to debhelper compatibility 4.
  * Now use dh_installman instead of dh_installmanpages.

 -- Ola Lundqvist <opal@debian.org>  Sat, 28 Jan 2006 21:40:56 +0100

tightvnc-java (1.2.7-3) unstable; urgency=low

  * Fixed so it works with older java engines, closes: #175761.
    Thanks to "C. Scott Ananian" <cananian@sincerity-forever.lcs.mit.edu>
    for the suggested fix.
  * Fixed rules file so it can build with recent jikes and kaffe packages.
  * Added versioned build dependency on debhelper.
  * Updated standards version to 3.6.1.

 -- Ola Lundqvist <opal@debian.org>  Thu, 22 Jul 2004 23:44:59 +0200

tightvnc-java (1.2.7-2) unstable; urgency=low

  * Now really builds using jikes and kaffe, closes: #175671.
  * Build-depends-indep instead of build depends.
  * Added command line program.
  * No longer depends on tightvncserver, just suggest it.
  * Now provides vnc-viewer.

 -- Ola Lundqvist <opal@debian.org>  Thu,  6 Feb 2003 10:37:09 +0100

tightvnc-java (1.2.7-1) unstable; urgency=low

  * Created this package using vnc-java as the source, closes: #172709.



=== debian/control ===
Source: tightvnc-java
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders: Sven Geuer <debmaint@g-e-u-e-r.de>,
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: default-jdk,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-remote-team/tightvnc-java
Vcs-Git: https://salsa.debian.org/debian-remote-team/tightvnc-java.git
Homepage: https://www.tightvnc.com

Package: tightvnc-java
Architecture: all
Suggests: tightvncserver,
          default-jre,
Depends: ${misc:Depends}
Provides: vnc-viewer
Description: TightVNC java applet and command line program
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 This is the vnc java applet file that the tightvncserver can distribute
 to the client. In addition a command line program that starts the java based
 vnc viewer locally is included.

=== debian/tests/control ===
Tests: test-vnc-connection
Depends: tightvncserver,
         xfonts-base,
         default-jre,
         @,

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*tightvnc-([\d.]+)_javasrc\.tar\.gz/tightvnc-java-$1.tar.gz/ \
https://www.tightvnc.com/download-old.php \
.*/download/[\d.]+/tightvnc-([\d.]+)_javasrc.tar.gz debian uupdate
